%define name hipo
%define version 0.6.99
%define release %mkrel 5
Summary: GTK interface to iPod
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.gnome.org/sources/Hipo/%{name}-%{version}.tar.bz2
Patch: hipo-0.6.1-desktopentry.patch
Patch1: hipo-0.6.99-build.patch
License: GPLv2+ and GFDL
Group: Sound
Url: http://www.gnome.org/~pvillavi/hipo/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: desktop-file-utils
BuildRequires: mono-devel
BuildRequires: gnome-sharp2-devel
BuildRequires: ipod-sharp
BuildRequires: ndesk-dbus-glib
BuildRequires: taglib-sharp
BuildRequires: gnome-doc-utils
BuildRequires: perl-XML-Parser

%description
Hipo is an application that allows you to manage the data of your iPod.


%prep
%setup -q -n %name-%version
%patch -p1 -b .desktopentry
%patch1 -p1

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --sysconfdir=%_sysconfdir
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


ln -sf %_prefix/lib/ipod-sharp/* %buildroot%_prefix/lib/%name/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%post_install_gconf_schemas hipo

%preun
%preun_uninstall_gconf_schemas hipo

%postun
%clean_icon_cache hicolor
%clean_desktop_database

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS TODO
%_sysconfdir/gconf/schemas/hipo.schemas
%_bindir/%name
%_prefix/lib/%name
%_datadir/applications/%name.desktop
%_datadir/icons/hicolor/*/apps/*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf




%changelog
* Thu Oct 15 2009 Götz Waschk <waschk@mandriva.org> 0.6.99-5mdv2010.0
+ Revision: 457630
- rebuild for new taglib-sharp

* Fri Sep 11 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.6.99-4mdv2010.0
+ Revision: 437867
- rebuild

* Sun Mar 01 2009 Götz Waschk <waschk@mandriva.org> 0.6.99-3mdv2009.1
+ Revision: 346286
- rebuild for new taglib-sharp

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 0.6.99-2mdv2009.1
+ Revision: 334053
- rebuild for new taglib-sharp

* Sun Oct 12 2008 Götz Waschk <waschk@mandriva.org> 0.6.99-1mdv2009.1
+ Revision: 293044
- fix build
- new version
- add gconf files

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 0.6.1-5mdv2009.0
+ Revision: 273844
- update build deps
- update license
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 0.6.1-2mdv2008.1
+ Revision: 180320
- add support for autostart from nautilus

* Wed Feb 20 2008 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2008.1
+ Revision: 173351
- new version
- depend on taglib-sharp
- remove installation workaround

* Wed Feb 20 2008 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2008.1
+ Revision: 173198
- new version
- update buildrequires
- fix installation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 05 2007 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2008.1
+ Revision: 95566
- new version
- fix desktop entry


* Sun Mar 18 2007 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2007.1
+ Revision: 145862
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2007.1
+ Revision: 111515
- Import hipo

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2007.1
- initial package

